#!/bin/sh
. common

remove()
{
for i in `./hex2env "${QS}" | grep "^remove"`
do
  appname=`echo "${i}"|cut -c7-|cut -d";" -f1`
  grep -v "^app=${appname};" ${CFG} > ${TMP} 2>&1
  mv ${TMP} ${CFG}  2>&1
done
}

header Applications

QS=`cat -`
remove
addline app `./hex2env "${QS}" | grep "^add"`

echo "<table border=1><tr><th>Remove?</th><th>Application</th><th>Client Request Port</th>"
echo "<th>Server Listen Port</th><th>Server Response Port</th><th>Protocol</th></tr>"
echo "<form action=\"./applications.cgi\" method=post>"
#app=name;ClientRequestPort;ServerListenPort;ServerResponsePort;Protocol
for i in `grep "^app=" ${CFG} |cut -d"=" -f2-`
do 
  name=`echo $i|cut -d";" -f1`
  clireq=`echo $i|cut -d";" -f2`
  svrlisten=`echo $i|cut -d";" -f3`
  svrresp=`echo $i|cut -d";" -f4`
  proto=`echo $i|cut -d";" -f5`
  echo "<tr><td><input type=checkbox name=\"remove${i}\"></td>"
  echo "<td>${name}</td>"
  echo "<td>${clireq}</td>"
  echo "<td>${svrlisten}</td>"
  echo "<td>${svrresp}</td>"
  echo "<td>${proto}</td>"
  echo "</tr>"
done
echo "<tr><td>"
echo "<B>New:<input type=checkbox name=addline></B></td><td>"
echo "<input type=text name=addapp></td>"
echo "<td><input type=text size=6 name=addclireq></td>"
echo "<td><input type=text size=6 name=addsvrlisten></td>"
echo "<td><input type=text size=6 name=addsvrresp></td>"
echo "<td><select name=addproto>"
echo "<option selected value=any>any</option>"
echo "<option value=tcp>tcp</option>"
echo "<option value=udp>udp</option>"
echo "<option value=icmp>icmp</option></select></td>"
echo "</tr>"
echo "<tr><td><input type=submit value=\"Confirm\"></td><td><input type=reset value="Reset"></td></tr>"
echo "</table>"
EOHTML

rm -f ${TMP}
footer
