#!/bin/sh
. common

remove()
{
for i in `./hex2env "${QS}" | grep "^remove"`
do
  addrname=`echo "${i}"|cut -c7-|cut -d"=" -f1`
  grep -v "^addr=${addrname}$" ${CFG} > ${TMP}
  mv ${TMP} ${CFG} 
done
}

header Addresses

QS=`cat -`
remove
addline addr `./hex2env "${QS}" | grep "^add"`

echo "<table border=1><tr><th>Remove?</th><th>Address</th><th>IP(s)</td></tr>"
echo "<form action=\"./addresses.cgi\" method=post>"
for i in `grep "^addr=" ${CFG} |cut -d"=" -f2-`
do 
  name=`echo $i|cut -d";" -f1`
  ip=`echo $i|cut -d";" -f2-`
  echo "<tr><td><input type=checkbox name=\"remove${i}\"></td>"
  echo "<td>${name}</td><td>${ip}</td></tr>"
done
echo "<tr><td>"
echo "<B>New:</B></td><td>"
echo "<input type=text name=addaddr>"
echo "<input type=hidden name=addline value=\"on\">"
echo "</td><td><input type=text size=40 name=addip>"
echo "</td></tr>"
echo "<tr><td><input type=submit value=\"Activate Changes\"></td><td><input type=reset value="Reset"></td></tr>"
echo "</table>"
EOHTML

rm -f ${TMP}
footer
